Fetches a set of filtered transactions allocations
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/transactions/allocations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/transactions/allocations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/subaccounts/transactions/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
"subaccounts": [
{
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"balances": [
{
"assetType": "BTC",
"hold": "1000.00",
"pending": "1000.00",
"posted": "1000.00"
}
]
}
],
"status": "POSTED",
"createdAt": "2019-01-02T12:34:56.000Z",
"endedAt": "2019-01-03T12:34:56.000Z",
"transactionType": "WITHDRAWAL"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Fetches a set of filtered transactions allocations
Permissions required: Subaccount or Read Subaccount
Retrieves a filtered set of transactions that are connected to funding allocations.
GET
/
subaccounts
/
transactions
/
allocations
Fetches a set of filtered transactions allocations
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/transactions/allocations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/transactions/allocations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/subaccounts/transactions/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
"subaccounts": [
{
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"balances": [
{
"assetType": "BTC",
"hold": "1000.00",
"pending": "1000.00",
"posted": "1000.00"
}
]
}
],
"status": "POSTED",
"createdAt": "2019-01-02T12:34:56.000Z",
"endedAt": "2019-01-03T12:34:56.000Z",
"transactionType": "WITHDRAWAL"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
Array of Unique Identifiers for the subaccount
Filters by DEPOSITs, WITHDRAWALs or both (default)
Available options:
DEPOSIT, WITHDRAWAL When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?